<?php

namespace FiloBlu\Refilo\Model\Indexer\Core;


use Magento\Framework\App\ResourceConnection;

class BaseSqlToElasticAdapter extends AbstractSqlToElasticAdapter
{
    /**
     * @var string
     */
    private $baseModel;

    /**
     * BaseSqlToElasticAdapter constructor.
     * @param ResourceConnection $resourceConnection
     * @param ClassNameToSqlInterface $classNameToSql
     * @param string $mongoModel
     */
    public function __construct(ResourceConnection $resourceConnection, ClassNameToSqlInterface $classNameToSql, string $baseModel)
    {
        parent::__construct($resourceConnection);
        $this->baseModel = $baseModel;
    }

    /**
     * @inheritDoc
     */
    public function getBaseModel(): string
    {
        return $this->baseModel;
    }
}
