<?php

namespace FiloBlu\Refilo\Remote\Connector;

use Magento\Framework\DataObject;
use Magento\Framework\DataObjectFactory;

/**
 * Class AbstractConnector
 * @package FiloBlu\Refilo\Remote\Connector
 */
abstract class AbstractConnector implements ConnectorInterface
{
    /**
     * @var DataObject
     */
    protected $configuration;
    /**
     * @var DataObjectFactory
     */
    protected $dataObjectFactory;

    /**
     * AbstractConnector constructor.
     * @param DataObjectFactory $dataObjectFactory
     */
    public function __construct(DataObjectFactory $dataObjectFactory)
    {
        $this->dataObjectFactory = $dataObjectFactory;
    }

    /**
     * @return DataObject
     */
    public function getConfiguration(): DataObject
    {
        if ($this->configuration) {
            return $this->configuration;
        }

        return ($this->configuration = $this->dataObjectFactory->create());
    }

    /**
     * @param DataObject $configuration
     * @return ConnectorInterface
     */
    public function configure(DataObject $configuration): ConnectorInterface
    {
        $this->configuration = $configuration;
        return $this;
    }
}
